[sword-devel] Sword utilities after release of SWORD 1.7.2 ?

Chris Little chrislit at crosswire.org
Mon Jan 20 23:36:33 MST 2014

On 1/20/2014 9:02 AM, Greg Hellings wrote:
> On Mon, Jan 20, 2014 at 10:56 AM, David Haslam <dfhmch at googlemail.com
> <mailto:dfhmch at googlemail.com>> wrote:
>     Quick question: Did the Sword utilities need recompiling last week?
> Sorta. The DLL will need recompiling, the utilities themselves shouldn't.

Or, practically speaking, just no.

1.7.2 has no effect on any of the utilities.
1.7.2 has a minor effect on diatheke that affects almost no modules 
(quite possibly zero).
So there will be no 1.7.2 build of the Windows utilities. Further, you 
should not expect utilities releases to be synched with or based on the 
1.7.x branch. We've always allowed the utilities to be a little ahead of 
the current release and generally recommend using the latest SVN of 
utilities. Diatheke in the head of the trunk is already incompatible 
with 1.7.2+, and there are going to be some fixes and changes to 
osis2mod in the coming week that will appear in SVN & the Windows 
utilities binaries long before they appear in 1.7.x (if they ever do).


More information about the sword-devel mailing list